package com.bc_chat.contacts.task

import com.bc_chat.bc_base.entity.group.Forbidden
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：禁言用户列表
 */
class ForbiddenMemberListTask constructor(var gid: String) : RxDataAsyncTask<List<Forbidden>, ResultEntity<List<Forbidden>>>() {

    override fun loadDataAsyncTask(): Flowable<ResultEntity<List<Forbidden>>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("gid" to gid)
        return RetrofitHelper.api.forbiddenMemberList(Encryption.encryption(params))
    }
}
